%define name	kaconnect
%define version	1.1.1
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	QT frontend for ALSA sequencer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.suse.de/~mana/kalsatools.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel libalsa-devel
Patch1:		kaconnect-build-x86-64.patch
Patch2:		kaconnect-1.1.1-fix-build.patch

%description
Kaconnect is a QT version of the aconnect utility for the  ALSA  sequencer
system.

%prep
%setup -q
perl -p -i -e "s/gcc/gcc\ $RPM_OPT_FLAGS/g" make_kaconnect
%ifarch x86_64
%patch1 -p1 -b build64
%endif
%patch2 -p1
%build
%make -f make_kaconnect
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="KAConnect" longtitle="ALSA connections" section="Multimedia/Sound" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=KAConnect
Comment=ALSA connections
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Sequencer;X-MandrivaLinux-Multimedia-Sound;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README THANKS
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop





%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.1.1-5mdv2008.1
+ Revision: 140829
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.1-4mdv2007.0
- XDG
- use mkrel

* Sat Jul 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.1-3mdk
- Fix build on x86_64

* Thu Jun 17 2004 Austin Acton <austin@mandrake.org> 1.1.1-2mdk
- rebuild

